#ifndef TMHistogrammingFastorProblemAll_H
#define TMHistogrammingFastorProblemAll_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingFastorProblemAll : public TMHistogramming {
 public:
  TMHistogrammingFastorProblemAll();
  virtual ~TMHistogrammingFastorProblemAll();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void ResetHitChip();
  virtual ULong_t GetTotalNumberOfProblems() {return fTotalNumberOfProblems;}

 protected:
  ULong_t fTotalNumberOfProblems;
  Bool_t  fHitChip[20][6][10];
  TH1F    *fTheHisto;

};

#endif
